Bug 214107 - Compiz does not work well with KDE desktop switcher
Compiz does not work well with KDE desktop switcher
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-11-05 15:03 EST by Julian Sikorski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-31 05:19:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of wrong behaviour (127.14 KB, image/png)
2006-11-05 15:03 EST, Julian Sikorski
no flags Details

  None (edit)
Description Julian Sikorski 2006-11-05 15:03:43 EST
Description of problem:
When compiz is run under KDE, desktop switcher applet does not seem to work well
with it. Not only it treats all compiz workspaces as a one huge, but also breaks
everything if workspace different than first is selected. Access to windows
opened in compiz is lost until re-login.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install compiz
2. Run it under KDE: Exec=compiz --use-cow --replace gconf & gtk-window-decorator &
3. Select workspace different than first
Actual results:
It impossible to go back to opened windows

Expected results:
Windows are recoverable

Additional info:
I have attached a screenshot showing the elongated workspace problem. KDE 3.5.4
behaved differently, IIRC it was impossible to lose access to windows.
Comment 1 Julian Sikorski 2006-11-05 15:03:43 EST
Created attachment 140409 [details]
Screenshot of wrong behaviour
Comment 2 Julian Sikorski 2006-11-05 15:08:51 EST
Well, it seems this bug report is a bit wrong. Sorry. Desktop switcher rotates
the cube, but desktops are elongated and dragging windows do other cube sides
does not move them to another KDE workspaces.
Comment 3 Julian Sikorski 2007-05-31 05:19:50 EDT
I guess this is supposed to be solved by kicker-compiz. Closing.

Note You need to log in before you can comment on or make changes to this bug.